# striplamp.py

from ROTOR import *
import sys
import string
ALPHA = string.ascii_uppercase

# ==================================
def litfic( fic ):
    f = open(fic,"r")
    leTexte = f.readlines()
    texteConcat = ""
    f.close()
    for i in range(len(leTexte)):
        ch = leTexte[i]
        ch = ch.upper()
        for j in range(len(ch)):
            if not(ch[j] in ALPHA):
                continue
            texteConcat = texteConcat + ch[j]
    return texteConcat
# ==================================
if len(sys.argv) < 2:
    print("striplamp: strip lampboard of a cryptogram")
    print("Syntax: %s lampboard cryptogram" % (sys.argv[0]))
    sys.exit(1) 

PI = sys.argv[1]
if not Rotor.valide(PI):
    print("Rotor wiring is not correct")
    sys.exit(1)
c = Rotor(PI)
c.zero()
crypto = litfic(sys.argv[2])
for car in crypto:
    idx = ALPHA.index(car)
    idx2 = c.decipher_a_char(idx)
    car2 = ALPHA[idx2]
    print(car2, end="")
print()
